﻿namespace U2UC.WinUni.Behavior
{
    using Windows.UI.Xaml;
    using Windows.UI.Xaml.Controls;
    using Windows.UI.Xaml.Controls.Primitives;

    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();


#if WINDOWS_PHONE_APP 
    // Its a Windows Phone app 
            TextBlock1.FontSize = 16;
            TextBlock2.FontSize = 16;
            TextBlock3.FontSize = 16;
            TextBlock4.FontSize = 16;
            TextBlock5.FontSize = 16;
            TextBlock6.FontSize = 16;
#endif
#if WINDOWS_APP
            // Its a Windows 8 app 
            TextBlock1.FontSize = 36;
            TextBlock2.FontSize = 36;
            TextBlock3.FontSize = 36;
            TextBlock4.FontSize = 36;
            TextBlock5.FontSize = 36;
            TextBlock6.FontSize = 36;
#endif

            this.Loaded += MainPage_Loaded;
        }

        private void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            this.Slider_ValueChanged(this, null);
        }

        private void Slider_ValueChanged(object sender, RangeBaseValueChangedEventArgs e)
        {
            if (this.TheGrid != null && this.TheSlider != null)
            {
                this.TheGrid.Width = this.TheSlider.ActualWidth * this.TheSlider.Value / 100;
            }
        }
    }
}
